Register member
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.diller.app/api/v2.0/stores/your-store-id/members"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"phone\": { \"country_code\": \"example\", \"number\": \"example\" }, \"first_name\": \"example\", \"last_name\": \"example\", \"email\": \"example\", \"invitation_token\": \"example\", \"additional_identifiers\": [ \"example\" ], \"birth_date\": \"2026-09-11T12:34:49\", \"gender\": \"Male\", \"address\": { \"street\": \"example\", \"city\": \"example\", \"zip_code\": \"example\", \"state\": \"example\", \"country_code\": \"example\" }, \"consent\": { \"gdpr_accepted\": true, \"save_order_history\": true, \"receive_sms\": true, \"receive_email\": true }, \"department_ids\": [ \"example\" ], \"origin\": { \"system_id\": \"example\", \"employee_id\": \"example\", \"department_id\": \"example\", \"department_name\": \"example\", \"channel\": \"example\" }, \"segments\": [ { \"segment_id\": 1, \"value\": \"example\", \"selected_options\": [ 1 ] } ], \"card_info\": { \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" } }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.diller.app/api/v2.0/stores/your-store-id/members"
payload := strings.NewReader("{ \"phone\": { \"country_code\": \"example\", \"number\": \"example\" }, \"first_name\": \"example\", \"last_name\": \"example\", \"email\": \"example\", \"invitation_token\": \"example\", \"additional_identifiers\": [ \"example\" ], \"birth_date\": \"2026-09-11T12:34:49\", \"gender\": \"Male\", \"address\": { \"street\": \"example\", \"city\": \"example\", \"zip_code\": \"example\", \"state\": \"example\", \"country_code\": \"example\" }, \"consent\": { \"gdpr_accepted\": true, \"save_order_history\": true, \"receive_sms\": true, \"receive_email\": true }, \"department_ids\": [ \"example\" ], \"origin\": { \"system_id\": \"example\", \"employee_id\": \"example\", \"department_id\": \"example\", \"department_name\": \"example\", \"channel\": \"example\" }, \"segments\": [ { \"segment_id\": 1, \"value\": \"example\", \"selected_options\": [ 1 ] } ], \"card_info\": { \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" } }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"phone\": { \"country_code\": \"example\", \"number\": \"example\" }, \"first_name\": \"example\", \"last_name\": \"example\", \"email\": \"example\", \"invitation_token\": \"example\", \"additional_identifiers\": [ \"example\" ], \"birth_date\": \"2026-09-11T12:34:49\", \"gender\": \"Male\", \"address\": { \"street\": \"example\", \"city\": \"example\", \"zip_code\": \"example\", \"state\": \"example\", \"country_code\": \"example\" }, \"consent\": { \"gdpr_accepted\": true, \"save_order_history\": true, \"receive_sms\": true, \"receive_email\": true }, \"department_ids\": [ \"example\" ], \"origin\": { \"system_id\": \"example\", \"employee_id\": \"example\", \"department_id\": \"example\", \"department_name\": \"example\", \"channel\": \"example\" }, \"segments\": [ { \"segment_id\": 1, \"value\": \"example\", \"selected_options\": [ 1 ] } ], \"card_info\": { \"identifier\": \"example\", \"brand\": \"example\", \"expiry_date\": \"example\" } }");Request request = new Request.Builder() .url("https://api.diller.app/api/v2.0/stores/your-store-id/members") .post(body) .addHeader("Authorization", "Bearer <token>") .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.diller.app/api/v2.0/stores/your-store-id/members', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, data: { phone: {country_code: 'example', number: 'example'}, first_name: 'example', last_name: 'example', email: 'example', invitation_token: 'example', additional_identifiers: ['example'], birth_date: '2026-09-11T12:34:49', gender: 'Male', address: { street: 'example', city: 'example', zip_code: 'example', state: 'example', country_code: 'example' }, consent: { gdpr_accepted: true, save_order_history: true, receive_sms: true, receive_email: true }, department_ids: ['example'], origin: { system_id: 'example', employee_id: 'example', department_id: 'example', department_name: 'example', channel: 'example' }, segments: [{segment_id: 1, value: 'example', selected_options: [1]}], card_info: {identifier: 'example', brand: 'example', expiry_date: 'example'} }};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.diller.app/api/v2.0/stores/your-store-id/members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"phone":{"country_code":"example","number":"example"},"first_name":"example","last_name":"example","email":"example","invitation_token":"example","additional_identifiers":["example"],"birth_date":"2026-09-11T12:34:49","gender":"Male","address":{"street":"example","city":"example","zip_code":"example","state":"example","country_code":"example"},"consent":{"gdpr_accepted":true,"save_order_history":true,"receive_sms":true,"receive_email":true},"department_ids":["example"],"origin":{"system_id":"example","employee_id":"example","department_id":"example","department_name":"example","channel":"example"},"segments":[{"segment_id":1,"value":"example","selected_options":[1]}],"card_info":{"identifier":"example","brand":"example","expiry_date":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.diller.app/api/v2.0/stores/your-store-id/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "phone": { "country_code": "example", "number": "example" }, "first_name": "example", "last_name": "example", "email": "example", "invitation_token": "example", "additional_identifiers": [ "example" ], "birth_date": "2026-09-11T12:34:49", "gender": "Male", "address": { "street": "example", "city": "example", "zip_code": "example", "state": "example", "country_code": "example" }, "consent": { "gdpr_accepted": true, "save_order_history": true, "receive_sms": true, "receive_email": true }, "department_ids": [ "example" ], "origin": { "system_id": "example", "employee_id": "example", "department_id": "example", "department_name": "example", "channel": "example" }, "segments": [ { "segment_id": 1, "value": "example", "selected_options": [ 1 ] } ], "card_info": { "identifier": "example", "brand": "example", "expiry_date": "example" } }'Adds a new member to the store. This will create a new member and automatically add him to the Loyalty Program, followed by a welcome SMS. If the store is not configured to send SMS, a welcome email is sent instead.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The store id
Example
your-store-idRequest Body
Section titled “Request Body”object
object
The invitation or referral token generated during the initial invite flow. This token securely associates the newly registered member with their original inviter or referral campaign and unlocks any associated benefits, rewards, or tracking mechanisms tied to that invitation.
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
Example
2026-09-11T12:34:49Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
object
The alpha-2 code of country
object
True if the member has accepted the GDPR. False otherwise.
True if member has authorized to save order history e.g. transaction details about their purchases.
True if the member has authorized the sending of promotional SMS. False otherwise.
True if the member has authorized the sending of promotional Emails. False otherwise.
Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.
object
The id for of the operator that made the request (if applicable)
Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.
object
Fill it when segment is of type ‘Text’ or ‘Date’
Fill this field when the segment is of type ‘Checkbox’, ‘Dropdown’, or ‘Radio’.
object
Card expiration date in format “YY-MM”
object
object
The invitation or referral token generated during the initial invite flow. This token securely associates the newly registered member with their original inviter or referral campaign and unlocks any associated benefits, rewards, or tracking mechanisms tied to that invitation.
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
Example
2026-09-11T12:34:49Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
object
The alpha-2 code of country
object
True if the member has accepted the GDPR. False otherwise.
True if member has authorized to save order history e.g. transaction details about their purchases.
True if the member has authorized the sending of promotional SMS. False otherwise.
True if the member has authorized the sending of promotional Emails. False otherwise.
Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.
object
The id for of the operator that made the request (if applicable)
Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.
object
Fill it when segment is of type ‘Text’ or ‘Date’
Fill this field when the segment is of type ‘Checkbox’, ‘Dropdown’, or ‘Radio’.
object
Card expiration date in format “YY-MM”
object
object
The invitation or referral token generated during the initial invite flow. This token securely associates the newly registered member with their original inviter or referral campaign and unlocks any associated benefits, rewards, or tracking mechanisms tied to that invitation.
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
Example
2026-09-11T12:34:49Valid options: Male - Female - NotShared - When the member didn’t want to share their gender NonBinary - When a member does not fit into the categories of ‘man’ or ‘woman’
object
The alpha-2 code of country
object
True if the member has accepted the GDPR. False otherwise.
True if member has authorized to save order history e.g. transaction details about their purchases.
True if the member has authorized the sending of promotional SMS. False otherwise.
True if the member has authorized the sending of promotional Emails. False otherwise.
Represents the origin of the request, by department, employee, system id and channel. Eg. Employee John Doe at Pos number 10 in the store department “New York” submitted this request.
object
The id for of the operator that made the request (if applicable)
Represents the business channel through which the API call occurred. It accepts ‘POS’ for Point-of-Sale systems and ‘OnlineStore’ for online stores. When the channel is empty or not recognized, it defaults to ‘POS’.
object
Fill it when segment is of type ‘Text’ or ‘Date’
Fill this field when the segment is of type ‘Checkbox’, ‘Dropdown’, or ‘Radio’.
object
Card expiration date in format “YY-MM”
Responses
Section titled “Responses”OK
object
DEPRECATED: Start using the ‘Identifiers’ endpoints instead
object
object
object
The alpha-2 code of country
object
True if the member has accepted the GDPR. False otherwise.
True if member has authorized to save order history e.g. transaction details about their purchases.
True if the member has authorized the sending of promotional SMS. False otherwise.
True if the member has authorized the sending of promotional Emails. False otherwise.
object
object
Use value when segment type is Date or Text
Use SelectedOptions when segment type is Radio, Combobox or Dropbox
Example
{ "birth_date": "2026-09-11T12:34:49", "gender": "Male", "membership_detail": { "level_expire_date": "2026-09-11T12:34:49" }, "segments": [ { "type": "Text" } ]}Bad Request
object
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example", "errors": { "additionalProperty": [ "example" ] }}